Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006068TestLinkBug Tracking Systems Integrationpublic2013-11-28 12:482016-09-08 15:13
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006068: JIRA REST API Integration - CRITIC ONLY via HTTPS
DescriptionBecause JIRA SOAP API is going to be deprecated.

CRITIC
Seems that on the JIRA side API works ONLY if you use HTTPS.
At least this is what happens when I did test on
testlink.atlassian.net

The JIRA ONDEMAND that Atlassian has kindly provided to TestLink in order to do test on SOAP and REST API Integration

Note found also on
http://www.lornajane.net/posts/2012/using-jiras-rest-api-to-create-a-dashboard [^]
Additional InformationInfo that can be useful on development:

http://www.lornajane.net/posts/2012/using-jiras-rest-api-to-create-a-dashboard [^]

Using this code: https://github.com/FayP/JIRA-php [^] (FORKED on https://github.com/fmancardi/JIRA-php [^])
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020131)
fman (administrator)
2013-11-30 18:30

getIssue() - seems OK
(0020278)
fman (administrator)
2014-01-03 14:51

for the info provided your issue has no relation with REST API ,
and seems more a config problem => right place is forum.testlink.org

try to open url on browser or with soapUI.
please do not post more on this issue
(0025340)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2013-11-28 12:48 fman New Issue
2013-11-30 15:13 fman Category 0 - User too Lazy to analize defined categories => Bug Tracking Systems Integration
2013-11-30 15:13 fman Description Updated View Revisions
2013-11-30 15:13 fman Additional Information Updated View Revisions
2013-11-30 15:13 fman Assigned To => fman
2013-11-30 15:13 fman Status new => assigned
2013-11-30 15:14 fman Severity minor => feature request
2013-11-30 15:14 fman Product Version => 1.9.9 (2013 Q4 - bug fixing)
2013-11-30 15:14 fman View Status private => public
2013-11-30 15:17 fman Relationship added child of 0006048
2013-11-30 18:30 fman Note Added: 0020131
2013-11-30 18:34 fman Summary JIRA REST API Integration => JIRA REST API Integration - CRITIC ONLY via HTTPS
2013-11-30 18:34 fman Description Updated View Revisions
2014-01-03 14:43 katasonov Note Added: 0020276
2014-01-03 14:46 fman Note Added: 0020277
2014-01-03 14:47 katasonov Note Edited: 0020276 View Revisions
2014-01-03 14:48 fman Note Edited: 0020277 View Revisions
2014-01-03 14:48 fman Note View State: 0020277: public
2014-01-03 14:49 katasonov File Added: jirasoapservice-v2.xml
2014-01-03 14:51 fman Note Added: 0020278
2014-01-03 14:52 fman File Deleted: jirasoapservice-v2.xml
2014-01-03 14:52 fman Note Deleted: 0020276
2014-01-03 14:52 fman Note Deleted: 0020277
2014-01-03 14:52 katasonov Note Added: 0020279
2014-01-03 14:58 katasonov Note Deleted: 0020279
2014-09-27 15:07 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-09-27 15:07 fman Status assigned => resolved
2014-09-27 15:07 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-09-27 15:07 fman Resolution open => fixed
2016-09-08 15:13 fman Note Added: 0025340
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker